Collection Control
Legacy API
Collaboration diagram for Collection Control:

## Functions

void ITTAPI | __itt_pause (void)
| Pause collection. More...
void ITTAPI | __itt_resume (void)
| Resume collection. More...
void ITTAPI | __itt_detach (void)
| Detach collection. More...

## Detailed Description

General behavior: application continues to run, but no profiling information is being collected

Pausing occurs not only for the current thread but for all process as well as spawned processes

- Intel(R) Parallel Inspector and Intel(R) Inspector XE:
  - Does not analyze or report errors that involve memory access.
  - Other errors are reported as usual. Pausing data collection in Intel(R) Parallel Inspector and Intel(R) Inspector XE only pauses tracing and analyzing memory access. It does not pause tracing or analyzing threading APIs.
- Intel(R) Parallel Amplifier and Intel(R) VTune(TM) Amplifier XE:
  - Does continue to record when new threads are started.
- Other effects:
  - Possible reduction of runtime overhead.

## Function Documentation

## __itt_detach()

void ITTAPI __itt_detach | ( | void |  | ) |

Detach collection.

## __itt_pause()

void ITTAPI __itt_pause | ( | void |  | ) |

Pause collection.

## __itt_resume()

void ITTAPI __itt_resume | ( | void |  | ) |

Resume collection.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.